Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor.rdfa
Class XSLTStylesheet

    java.lang.Object
      org.apache.any23.extractor.rdfa.XSLTStylesheet

    public class XSLTStylesheet

extends Object

An XSLT stylesheet loaded from an InputStream, can be applied to DOM trees and writes the result to a `Writer`.

Author:
  Gabriele Renzi, Richard Cyganiak (richard@cyganiak.de)

Constructor Summary
`XSLTStylesheet(InputStream xsltFile)`

Method Summary
`void` | `applyTo(Document document, Writer output)` Applies the XSLT transformation
`void` | `applyTo(Document document, Writer output, Map<String,String> parameters)` Applies the XSLT transformation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTStylesheet

    public XSLTStylesheet(InputStream xsltFile)

Method Detail

### applyTo

    public void applyTo(Document document,
                        Writer output)
                 throws XSLTStylesheetException

  Applies the XSLT transformation

  Parameters:
    `document` - where apply the transformation
    `output` - the `Writer` where write on
  Throws:
    `XSLTStylesheetException`

### applyTo

    public void applyTo(Document document,
                        Writer output,
                        Map<String,String> parameters)
                 throws XSLTStylesheetException

  Applies the XSLT transformation

  Parameters:
    `document` - where apply the transformation
    `output` - the `Writer` where write on
    `parameters` - the parameters to be passed to `Transformer`. Pass an empty `Map` if no parameters are foreseen.
  Throws:
    `XSLTStylesheetException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.